FunctionSpace {
	{ Name FSU ; Type Form0 ;
		BasisFunction {
			{ Name sn ; NameOfCoef un ; Function BF_Node ;
			Support DOMAIN ; Entity NodesOf[ All ] ; }
		}
		Constraint {
		}
	}
	{ Name FSU0 ; Type Scalar ;
		BasisFunction {
			{ Name so ; NameOfCoef uo ; Function BF_Region ;
			Support OMEGA ; Entity OMEGA ; }
		}
		Constraint {
		}
	}
}

Formulation {
	{ Name Uform ; Type FemEquation ;
		Quantity {
            { Name u; Type Local;  NameOfSpace FSU; }
            { Name uo; Type Local;  NameOfSpace FSU0; }
		}
		Equation {
                Galerkin { [ Dof{d u} , {d u} ] ; In OMEGA ; Jacobian Vol ; Integration Int ; }
                Galerkin { [ -f[] , {u} ] ; In OMEGA ; Jacobian Vol ; Integration Int ; }
                Galerkin { [ -g[] , {u} ] ; In GAMMA ; Jacobian Sur ; Integration Int ; }
                Galerkin { [ Dof{u} , {uo} ] ; In OMEGA ; Jacobian Vol ; Integration Int ; }
                Galerkin { [ Dof{uo} , {uo} ] ; In OMEGA ; Jacobian Vol ; Integration Int ; }
        }
	}
}

Resolution {
	{ Name U ;
		System {
			{ Name SysU ; NameOfFormulation Uform ; }
		}
		Operation {
			Generate [SysU] ; Solve [SysU] ; SaveSolution [SysU] ;	
		}
	}
}

PostProcessing {
	{ Name Upost ; NameOfFormulation Uform ;
		PostQuantity {
			{ Name du ; Value { Local { [ {d u} ] ; In OMEGA ; Integration Int ; Jacobian Vol ; } } }
			{ Name u ; Value { Local { [ {u} + {uo} ] ; In OMEGA ; Integration Int ; Jacobian Vol ; } } }
			{ Name uref ; Value { Local { [ usol[] ] ; In OMEGA ; Integration Int ; Jacobian Vol ; } } }
			{ Name duref ; Value { Local { [ dusol[] ] ; In OMEGA ; Integration Int ; Jacobian Vol ; } } }
			{ Name eu ; Value { Local { [ {u} + {uo} - usol[] ] ; In OMEGA ; Integration Int ; Jacobian Vol ; } } }
			{ Name edu ; Value { Local { [ {d u} - dusol[] ] ; In OMEGA ; Integration Int ; Jacobian Vol ; } } }
		}
	}
}
