Group {
       GAMMA = # 101 ;
       OMEGA = # 102 ;
       DOMAIN = Region[ {GAMMA,OMEGA} ] ;
}
 
Function {
    f[DOMAIN] = 1.;
    g[GAMMA] = -0.5;
    R[] = Norm[Vector[$X,$Y,0]];
    T[] = Atan2[$Y,$X];
    usol[] = -R[]*R[]/4 + 1/8;
    dusol[] = Vector[-R[]*Cos[T[]]/2, -R[]*Sin[T[]]/2, 0.];
}
 
Constraint {
}
 
Include "Jacobian.pro"
Include "Integration.pro"
Include "Formulation.pro"
 
PostOperation {
       { Name U ; NameOfPostProcessing Upost ;
           Operation {
                   Print[ duref, OnElementsOf OMEGA, File "du.pos"] ;
                   Print[ du, OnElementsOf OMEGA, File> "du.pos"] ;
                   Print[ edu, OnElementsOf OMEGA, File> "du.pos"] ;
                   Print[ uref, OnElementsOf OMEGA, File "u.pos"] ;
                   Print[ u, OnElementsOf OMEGA, File> "u.pos"] ;
                   Print[ eu, OnElementsOf OMEGA, File> "u.pos"] ;
           }
       }
}
